$(function(){
	$('#subida').submit(function(){
		
		var comprobar = $('#csv').val().length;
		
		if(comprobar>0){
			
			var formulario = $('#subida');
			
			var archivos = new FormData();	
			
			var url = '../webExcel/importarCSV/importarCSV.php';
			
				for (var i = 0; i < (formulario.find('input[type=file]').length); i++) { 
				
               	 archivos.append((formulario.find('input[type="file"]:eq('+i+')').attr("name")),((formulario.find('input[type="file"]:eq('+i+')')[0]).files[0]));
				 
      		 	}
				
			$.ajax({
				
				url: url,
				
				type: 'POST',
				
				contentType: false, 
				
            	data: archivos,
				
               	processData:false,
				
				beforeSend : function (){
					
					$('#respuesta').html('<img src="/people/web/recursos/imagenes/impuestos/cargando.gif" width="50" heigh="50">');
				
				},
				success: function(data){
					
					if(data == 'OK'){

						$('#respuesta').html('<label style="padding-top:10px; color:green;">Importación de EXCEL exitosa</label>');
						return false;	

					}else{

						$('#respuesta').html('<label style="padding-top:10px; color:red;">Error en la importación de EXCEL</label>');
						return false;

					}
					
			
				}
				
			});
			
			return false;
			
		}else{
			
			alert('Seleccione un archivo EXCEL para importar');
			
			return false;
			
		}
	});
});
